export default function createProp (type, defaultVal, isRequired, validator) {
  let ret = {type}
  if (isRequired) {
    ret['required'] = true
  }
  if (defaultVal) {
    ret['default'] = () => {
      return defaultVal
    }
  }
  if (typeof validator === 'function') {
    ret['validator'] = validator
  } else {
    ret['validator'] = () => true
  }
  return ret
}
